### A free/open-source library for quantitative finance

Classes
ql/instruments/stickyratchet.hpp File Reference

Payoffs for double nested options of sticky or ratchet type. More...

`#include <ql/option.hpp>`
`#include <ql/payoff.hpp>`
Include dependency graph for stickyratchet.hpp:

## Classes

class | DoubleStickyRatchetPayoff
| Intermediate class for single/double sticky/ratchet payoffs. More...
class | RatchetPayoff
| Ratchet payoff (single option) More...
class | StickyPayoff
| Sticky payoff (single option) More...
class | RatchetMaxPayoff
| RatchetMax payoff (double option) More...
class | RatchetMinPayoff
| RatchetMin payoff (double option) More...
class | StickyMaxPayoff
| StickyMax payoff (double option) More...
class | StickyMinPayoff
| StickyMin payoff (double option) More...

## Detailed Description

Payoffs for double nested options of sticky or ratchet type.